"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KafkaEventEmitter = exports.KAFKA_EVENT_EMITTER = void 0;
const common_1 = require("@nestjs/common");
exports.KAFKA_EVENT_EMITTER = 'KAFKA_EVENT_EMITTER';
const KafkaEventEmitter = (topics) => {
    return (target, propertyKey, descriptor) => {
        common_1.SetMetadata(exports.KAFKA_EVENT_EMITTER, {
            topics,
            target: target.constructor.name,
            methodName: propertyKey,
            callback: descriptor.value,
        })(target, propertyKey, descriptor);
    };
};
exports.KafkaEventEmitter = KafkaEventEmitter;
//# sourceMappingURL=kafka-event-emitter.decorator.js.map