import { KafkaLogger } from '../loggers';
import { IKafkaModuleSchemaRegistryConfiguration } from '../interfaces';
import { IKafkaEvent } from '../interfaces';
import { KafkaMessage } from 'kafkajs';
export declare class KafkaAvroDeserializer {
    private readonly kafkaLogger;
    private schemaRegistry;
    constructor(kafkaLogger: KafkaLogger);
    initialize(configuration: IKafkaModuleSchemaRegistryConfiguration, randomSubject?: string): Promise<void>;
    deserialize(message: KafkaMessage): Promise<IKafkaEvent>;
}
