import { DynamicModule, OnModuleInit } from '@nestjs/common';
import { IKafkaModuleRegisterAsyncOptions } from './interfaces';
import { KafkaEventFunctionsService } from './kafka-event-functions.service';
export declare class KafkaModule implements OnModuleInit {
    private readonly kafkaEventFunctionsService;
    constructor(kafkaEventFunctionsService: KafkaEventFunctionsService);
    static registerAsync(options: IKafkaModuleRegisterAsyncOptions): DynamicModule;
    private static createKafkaModuleConfigurationProvider;
    onModuleInit(): void;
}
