import { KafkaEventHandlerFunction } from '../interfaces';
export declare type KafkaEventHandlerMetadata = {
    topic: string;
    target: any;
    methodName: string | symbol;
    callback: KafkaEventHandlerFunction;
};
export declare const KAFKA_EVENT_HANDLER = "KAFKA_EVENT_HANDLER";
export declare const KafkaEventHandler: (topic: string) => MethodDecorator;
