"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KafkaEventHandler = exports.KAFKA_EVENT_HANDLER = void 0;
const common_1 = require("@nestjs/common");
exports.KAFKA_EVENT_HANDLER = 'KAFKA_EVENT_HANDLER';
const KafkaEventHandler = (topic) => {
    return (target, propertyKey, descriptor) => {
        common_1.SetMetadata(exports.KAFKA_EVENT_HANDLER, {
            topic,
            target,
            methodName: propertyKey,
            callback: descriptor.value,
        })(target, propertyKey, descriptor);
    };
};
exports.KafkaEventHandler = KafkaEventHandler;
//# sourceMappingURL=kafka-event-handler.decorator.js.map